## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           libpanel
Version:        1.3.0
Release:        %autorelease
Summary:        IDE paneling library for GTK

License:        LGPL-3.0-or-later
URL:            https://gitlab.gnome.org/GNOME/libpanel
Source0:        https://download.gnome.org/sources/libpanel/1.3/libpanel-%{tarball_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(gi-docgen)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

Requires:       hicolor-icon-theme

%description
libpanel is a collection of GTK widgets for IDE-like applications targeting
GNOME using GTK and libadwaita.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n libpanel-%{tarball_version}


%build
%meson
%meson_build


%install
%meson_install

%find_lang libpanel


%files -f libpanel.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libpanel-1.so.1*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Panel-1.typelib
%{_datadir}/icons/hicolor/scalable/actions/panel-*-symbolic.svg

%files devel
%{_includedir}/libpanel-1/
%{_libdir}/libpanel-1.so
%{_libdir}/pkgconfig/libpanel-1.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Panel-1.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libpanel-1.deps
%{_datadir}/vala/vapi/libpanel-1.vapi
%doc %{_datadir}/doc/panel-1.0/


%changelog
* Wed Aug 09 2023 Kalev Lember <klember@redhat.com> - 1.3.0-1
- Update to 1.3.0

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Mar 19 2023 David King <amigadave@amigadave.com> - 1.2.0-1
- Update to 1.2.0

* Sat Mar 04 2023 David King <amigadave@amigadave.com> - 1.1.2-1
- Update to 1.1.2 (#2170280)

* Thu Feb 09 2023 David King <amigadave@amigadave.com> - 1.1.0-1
- Update to 1.1.0

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 12 2022 Kalev Lember <klember@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Tue Sep 27 2022 Kalev Lember <klember@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Fri Sep 16 2022 Kalev Lember <klember@redhat.com> - 1.0.0-1
- Update to 1.0.0
- Build devel documentation
- Include translations

* Mon Sep 05 2022 Kalev Lember <klember@redhat.com> - 1.0~alpha1-2
- Move icons to the base package

* Mon Aug 08 2022 Kalev Lember <klember@redhat.com> - 1.0~alpha1-1
- Update to 1.0.alpha1

* Fri Jul 29 2022 Kalev Lember <klember@redhat.com> - 1.0~alpha-2
- Add hicolor-icon-theme requires

* Fri Jul 29 2022 Kalev Lember <klember@redhat.com> - 1.0~alpha-1
- Initial Fedora packaging
